# ezQuake Manual: HUD Variables

- Chat Settings
- Console Settings
- MQWCL HUD
- Status Bar and Scoreboard

## Chat Settings Variables

### auth_viewcrc

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | the client shows you the authentication CRC in f_version responses.
0 | the client hides the authentication CRC in f_version responses.

### cl_chatsound

#### Description

Controls usage of con_sound_* variables.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Do not use con_sound_* variables settings.
1 | Use settings from con_sound_* for char sounds.
2 | Only play sounds in mm2.

### cl_floodprot

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable floodprot.
0 | Disable floodprot.

### cl_fp_messages

#### Description

This variable is used in conjunction with the variable "cl_fp_persecond" to define when the floodprot protection should be triggered (if "cl_floodprot" is set to "1").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

### cl_fp_persecond

#### Description

This variable is used in conjunction with the variable "cl_fp_messages" to define when the floodprot protection should be triggered (if "cl_floodprot" is set to "1").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

### cl_nofake

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
0 | No unfaking.
1 | Unfake other players messages.
2 | Unfake messages from enemies.

### cl_parseFunChars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | You can use Ocrana LED's by hand right out of the console and chat anonymously through "$\" without showing your name (chat messages that are seen without your name at the beginning).
0 | Off.

Full list: $R - red lamp $G - green lamp $B - blue lamp $Y - yellow lamp $\ - carridge return $( - big left bracket $= - big equal sign $) - big right bracket $. - red middle dot $, - white dot (names only) $< - small left bracket $- - small equal sign $> - small right bracket $a - big grey block $: - line feed $b - filled red block $d - right pointing red arrow $[ - gold left square bracket $] - gold right square bracket $^ - white ^ (names only) ^x - red x (names only) $0-9 - yellow number $xyy - char with hex code yy (In order to use the lamps, you'll need the Ocrana pak).

### cl_parseSay

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | You can use macros such as %a %h %l (like in Qizmo).
0 | Disable %-macros (%a %h %b etc...)

### cl_parseWhiteText

#### Description

Convert text between { and } to white or not in chat/team chat.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Convert none.
1 | Convert all (chat and team chat).
2 | Convert team chat only.

### ignore_flood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Off.
1 | Ignores repeated 'say' and spectator messages.
2 | Ignores repeated 'say', 'say_team' and spectator messages.

### ignore_flood_duration

#### Description

You can change the 4 second cooldown with the 'ignore_flood_duration' variable.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

### ignore_mode

#### Description

Someone is on your ignore list, you won't see any messagemode (/say hello) messages from them (even if they are a spec).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Ignore say_team too.
0 | Ignore say only.

### ignore_opponents

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Do not ignore opponent team.
1 | Alway ignore opponent team.
2 | Only ignore opponent team during the match.

### ignore_qizmo_spec

#### Description

Ignores all Qizmo spectators (= observers). Very useful on big matches with 100 and more spectators.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Ignoring ON.
0 | Ignoring OFF.

### ignore_spec

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Off
1 | Ignore spec chat unless you are a spectator.
2 | Ignore spec chat even if you are a spectator.

### msg_filter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Filters nothing (default)
1 | Filters mm1 and spec messages
2 | Filters mm2 messages
3 | Filters mm1, mm2, and spec messages

## Console Settings Variables

### cl_chatmode

#### Description

Console chat mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
0 | Text in the console is always treated as a command and in order to chat you have to use messagemode/messagemode2 or use the say/say_team commands.
1 | If the first word in the line is a command, it is executed, otherwise the line is sent as chat.
2 | Everything you type in the console goes into chat, in order to issue a command, prefix it with a slash (/).

### cl_newCompletion

#### Description

Toggles the new console [tab] completion algorithm on when set to 1. It cycles through the available options.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### cl_savehistory

#### Description

Save console commands history to .ezquake_history. Loads history from this file while starting ezquake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | save
0 | don't save

### con_clearnotify

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Messages won't say when you toggle console.
0 | Messages stay even when you toggle console.

### con_notifylines

#### Description

This variable sets the number of notify lines (default 4, max 20) to be used at the top of the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

#### Values

value | description
0 | Use no notify lines at all.
1 | Use one notify line.
20 | Use 20 notify lines.

...

### con_notifytime

#### Description

How long console messages stay on screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### con_shift

#### Description

Adjusts vertical offset of background of the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### con_sound_mm1_file

#### Description

You can specify notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

### con_sound_mm1_volume

#### Description

You can specify volume of notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### con_sound_mm2_file

#### Description

You can specify notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

### con_sound_mm2_volume

#### Description

You can specify volume of notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### con_sound_other_file

#### Description

You can specify notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

### con_sound_other_volume

#### Description

You can specify volume of notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### con_sound_spec_file

#### Description

You can specify notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: misc/talk.wav

Variable is float.

### con_sound_spec_volume

#### Description

You can specify volume of notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### con_timestamps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | will enable timestamps for chat text in console, every chat message will begin with timestamp (hour:minute) followed by a message
0 | Console timesptamps turned OFF

### con_wordwrap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable word wrapping.
0 | Disable word wrapping.

### cvar_viewdefault

#### Description

When you type a cvar name into console (like 'gl_gamma' or 'r_rocketlight'), the client will tell you the default value of the cvar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | On.
0 | Off.

### cvar_viewhelp

#### Description

Automatically prints manual page when a variable name is typed in the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Print help automatically
0 | Do not print help

### gl_consolefont

#### Description

Changes your console font. Put all your charset images in qw/textures/charsets/*.png (and *.tga) and use /gl_loadcharset XXX to load XXX.png (or tga). "/gl_consolefont original" will restore the 8bit font in your gfx.wad (this is default). Note: Loadcharset is an alias for gl_consolefont.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: original

Variable is float.

### gl_smoothfont

#### Description

Smoothens out the font (which = good). But in some cases the font wasn't designed to be smoothened (sometimes the case of custom console fonts etc).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | On.
0 | Off.

### log_dir

#### Description

The logging dir.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### log_readable

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Will convert all non printable characters to printable characters in your log. This makes your log readable because all the weird ascii characters that usually occur because of different coloured text in the client (and because of weird symbols - ocrana led's etc) are converted into printable characters.
0 | Off.

### scr_conalpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.8

#### Values

value | description
1 | Normal.
0 | Transparent.

### scr_consize

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

#### Values

value | description
1 | Maximum console height.
0 | Minimal console height.

### scr_conspeed

#### Description

This variable controls the speed at which the console screen scrolls up and down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1000

Variable is float.

### scr_printspeed

#### Description

This variable controls how fast the text is displayed at the end of the single player episodes.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 8

Variable is float.

## MQWCL HUD Variables

### hud_ammo1_align

#### Description

Sets align of number of shells for both horizontal and vertical direction.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_ammo1_align_x

#### Description

Sets horizontal align of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_ammo1_align_y

#### Description

Sets vertical align of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_ammo1_digits

#### Description

Sets number of digits for number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_ammo1_frame

#### Description

Sets frame visibility and style for number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo1_place

#### Description

Sets relative positioning for number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_ammo1_pos_x

#### Description

Sets horizontal position of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo1_pos_y

#### Description

Sets vertical position of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo1_scale

#### Description

Sets size of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_ammo1_show

#### Description

Switches showing of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo1_style

#### Description

Switches graphical style of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo2_align

#### Description

Sets align of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_ammo2_align_x

#### Description

Sets horizontal align of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_ammo2_align_y

#### Description

Sets vertical align of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_ammo2_digits

#### Description

Sets number of digits for number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_ammo2_frame

#### Description

Sets frame visibility and style for number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo2_place

#### Description

Sets relative positioning for number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_ammo2_pos_x

#### Description

Sets horizontal position of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo2_pos_y

#### Description

Sets vertical position of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo2_scale

#### Description

Sets size of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_ammo2_show

#### Description

Switches showing of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo2_style

#### Description

Switches graphical style of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo3_align

#### Description

Sets align of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_ammo3_align_x

#### Description

Sets horizontal align of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_ammo3_align_y

#### Description

Sets vertical align of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_ammo3_digits

#### Description

Sets number of digits for

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_ammo3_frame

#### Description

Sets frame visibility and style for

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo3_place

#### Description

Sets relative positioning for

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_ammo3_pos_x

#### Description

Sets horizontal position of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo3_pos_y

#### Description

Sets vertical position of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo3_scale

#### Description

Sets size of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_ammo3_show

#### Description

Switches showing of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo3_style

#### Description

Switches graphical style of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo4_align

#### Description

Sets align of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_ammo4_align_x

#### Description

Sets horizontal align of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_ammo4_align_y

#### Description

Sets vertical align of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_ammo4_digits

#### Description

Sets number of digits for number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_ammo4_frame

#### Description

Sets frame visibility and style for number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo4_place

#### Description

Sets relative positioning for number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_ammo4_pos_x

#### Description

Sets horizontal position of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo4_pos_y

#### Description

Sets vertical position of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo4_scale

#### Description

Sets size of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_ammo4_show

#### Description

Switches showing of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo4_style

#### Description

Switches graphical style of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo_align

#### Description

Sets align of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_ammo_align_x

#### Description

Sets horizontal align of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_ammo_align_y

#### Description

Sets vertical align of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_ammo_digits

#### Description

Sets number of digits for current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_ammo_frame

#### Description

Sets frame visibility and style for current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo_place

#### Description

Sets relative positioning for current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_ammo_pos_x

#### Description

Sets horizontal position of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo_pos_y

#### Description

Sets vertical position of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo_scale

#### Description

Sets size of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_ammo_show

#### Description

Switches showing of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ammo_style

#### Description

Switches graphical style of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armordamage_align

#### Description

Sets armordamage HUD element alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is string.
horizontal: left, center, right, before, after; vertical: top, center, bottom, console, before, after

See HUD manual for more info.

### hud_armordamage_align_x

#### Description

Sets armordamage HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_armordamage_align_y

#### Description

Sets armordamage HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: before

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_armordamage_digits

#### Description

Sets highest possible number of digits displayed in HUD element armordamage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_armordamage_duration

#### Description

Sets how long armordamage should be visible after last damage to armor has been done.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.8

Variable is float.
Float number

### hud_armordamage_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_armordamage_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: armor

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_armordamage_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armordamage_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armordamage_scale

#### Description

Sets overall size of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.
Use positive floating point numbers.

### hud_armordamage_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_armordamage_style

#### Description

Toggles between different numbers styles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | small font, gfxwad
0 | large font, texture

### hud_armor_align

#### Description

Sets align of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_armor_align_x

#### Description

Sets horizontal align of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_armor_align_y

#### Description

Sets vertical align of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_armor_digits

#### Description

Sets number of digits for armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_armor_frame

#### Description

Sets frame visibility and style for armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armor_place

#### Description

Sets relative positioning for armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_armor_pos_x

#### Description

Sets horizontal position of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armor_pos_y

#### Description

Sets vertical position of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armor_scale

#### Description

Sets size of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_armor_show

#### Description

Switches showing of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_armor_style

#### Description

Switches graphical style of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_clock_align_x

#### Description

Sets horizontal align of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_clock_align_y

#### Description

Sets vertical align of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: console

Variable is float.

### hud_clock_big

#### Description

Switches unsing larger version of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_clock_blink

#### Description

Switches blinking colon of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_clock_frame

#### Description

Sets frame visibility and style for clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_clock_place

#### Description

Sets relative positioning for clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_clock_pos_x

#### Description

Sets horizontal position of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_clock_pos_y

#### Description

Sets vertical position of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_clock_show

#### Description

Switches showing of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_clock_style

#### Description

Switches graphical style of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_face_align_x

#### Description

Sets horizontal align of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_face_align_y

#### Description

Sets vertical align of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_face_frame

#### Description

Sets frame visibility and style for player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_face_place

#### Description

Sets relative positioning for player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_face_pos_x

#### Description

Sets horizontal position of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_face_pos_y

#### Description

Sets vertical position of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_face_scale

#### Description

Sets size of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_face_show

#### Description

Switches showing of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_fps_align_x

#### Description

Sets horizontal align of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_fps_align_y

#### Description

Sets vertical align of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom

Variable is float.

### hud_fps_frame

#### Description

Sets frame visibility and style for fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_fps_place

#### Description

Sets relative positioning for fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_fps_pos_x

#### Description

Sets horizontal position of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_fps_pos_y

#### Description

Sets vertical position of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_fps_show

#### Description

Switches showing of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_fps_show_min

#### Description

Switches showing of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_fps_title

#### Description

Switches displaying the text "fps" of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_frags_align_x

#### Description

Sets horizontal align of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_frags_align_y

#### Description

Sets vertical align of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_frags_cell_height

#### Description

Sets cell height of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 8

Variable is float.

### hud_frags_cell_width

#### Description

Sets cell width of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 32

Variable is float.

### hud_frags_cols

#### Description

Sets number of columns of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

### hud_frags_fliptext

#### Description

Toggles alignment of players nick and team name in frags HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Rows aligned to the right side, names and team tags are on the left side of frag counts.
0 | Rows aligned to the left side, names and team tags are on the right side of frag counts.

Use 'frags shownames 1' and/or 'frags showteams 1' to show names and team names of players.

### hud_frags_frame

#### Description

Sets frame visibility and style for frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_frags_padtext

#### Description

Toggles text padding in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Adds padding so frags, names, team tags aligned into columns.
0 | No spaces between text fields.

Use 'frags shownames 1' and/or 'frags showteams 1'.

### hud_frags_place

#### Description

Sets relative positioning for frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_frags_pos_x

#### Description

Sets horizontal position of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_frags_pos_y

#### Description

Sets vertical position of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_frags_rows

#### Description

Sets number of rows in frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_frags_show

#### Description

Switches showing of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_frags_shownames

#### Description

Draws players names next to frag counts in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display players' names.
0 | Don't display players' names.

### hud_frags_showself_always

#### Description

Forces the client to show the part of frags table where you are.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display the part of table where you are.
0 | Display highest frags only.

### hud_frags_showteams

#### Description

Draws players' team tags next to frag counts in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display players' team tags.
0 | Do not display players' team tags.

### hud_frags_space_x

#### Description

Sets vertical spacing of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_frags_space_y

#### Description

Sets horizontal spacing of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_frags_strip

#### Description

Switches stripped version of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_frags_style

#### Description

Sets drawing style of 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Golden brackets around your own frags field.
1 | Arrow pointing to your own frags field.
2 | Red rectangle around your own frags fiels.
3 | Similar to 1.
4 | Sets background color for your own field to 'teamcolor'.
5 | Sets background color for all field to teamcolors enemycolors, all fields 50% transparent, your own field not transparent. Red rectangle around your own field including name and team tag.
6 | Red rectangle around your own field including name and team tag. Background color only for your own field and set to 'teamcolor'.
7 | Background color for whole table 50% transparent red, your own field not transparent.
8 | Red background color only for your own field including name and team tag.

### hud_frags_teamsort

#### Description

Switches sorting by teams in frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_frags_vertical

#### Description

Switches vertical rendering of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group1_align_x

#### Description

Sets horizontal align of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group1_align_y

#### Description

Sets vertical align of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group1_alpha

#### Description

Sets level of transparency of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group1_frame

#### Description

Sets frame visibility and style for grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group1_height

#### Description

Sets vertical size of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group1_name

#### Description

Sets name of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group1

Variable is float.

### hud_group1_picture

#### Description

Sets background picture of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group1_place

#### Description

Sets relative positioning for grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group1_pos_x

#### Description

Sets horizontal position of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group1_pos_y

#### Description

Sets vertical position of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group1_show

#### Description

Switches showing of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group1_tile

#### Description

Switches tiling of background picture of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group1_width

#### Description

Sets horizontal size of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group2_align_x

#### Description

Sets horizontal align of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group2_align_y

#### Description

Sets vertical align of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group2_alpha

#### Description

Sets transparency level of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group2_frame

#### Description

Sets frame visibility and style for grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group2_height

#### Description

Sets vertical size of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group2_name

#### Description

Sets name of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group2

Variable is float.

### hud_group2_picture

#### Description

Sets background picture of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group2_place

#### Description

Sets relative positioning for grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group2_pos_x

#### Description

Sets horizontal position of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group2_pos_y

#### Description

Sets vertical position of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group2_show

#### Description

Switches showing of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group2_tile

#### Description

Switches tiling of background picture of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group2_width

#### Description

Sets horizontal size of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group3_align_x

#### Description

Sets horizontal align of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group3_align_y

#### Description

Sets vertical align of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group3_alpha

#### Description

Sets transparency level of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group3_frame

#### Description

Sets frame visibility and style for grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group3_height

#### Description

Sets vertical size of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group3_name

#### Description

Sets name of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group3

Variable is float.

### hud_group3_picture

#### Description

Sets background picture of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group3_place

#### Description

Sets relative positioning for grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group3_pos_x

#### Description

Sets horizontal position of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group3_pos_y

#### Description

Sets vertical position of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group3_show

#### Description

Switches showing of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group3_tile

#### Description

Switches tiling of background picture of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group3_width

#### Description

Sets horizontal size of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group4_align_x

#### Description

Sets horizontal align of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group4_align_y

#### Description

Sets vertical align of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group4_alpha

#### Description

Sets transparency level of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group4_frame

#### Description

Sets frame visibility and style for grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group4_height

#### Description

Sets vertical size of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group4_name

#### Description

Sets name of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group4

Variable is float.

### hud_group4_picture

#### Description

Sets background picture of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group4_place

#### Description

Sets relative positioning for grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group4_pos_x

#### Description

Sets horizontal position of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group4_pos_y

#### Description

Sets vertical position of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group4_show

#### Description

Switches showing of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group4_tile

#### Description

Switches tiling of background picture of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group4_width

#### Description

Sets horizontal size of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group5_align_x

#### Description

Sets horizontal align of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group5_align_y

#### Description

Sets vertical align of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group5_alpha

#### Description

Sets transparency level of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group5_frame

#### Description

Sets frame visibility and style for grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group5_height

#### Description

Sets vertical size of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group5_name

#### Description

Sets name of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group5

Variable is float.

### hud_group5_picture

#### Description

Sets background picture of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group5_place

#### Description

Sets relative positioning for grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group5_pos_x

#### Description

Sets horizontal position of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group5_pos_y

#### Description

Sets vertical position of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group5_show

#### Description

Switches showing of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group5_tile

#### Description

Switches tiling of background picture of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group5_width

#### Description

Sets horizontal size of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group6_align_x

#### Description

Sets horizontal align of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group6_align_y

#### Description

Sets vertical align of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group6_alpha

#### Description

Sets transparency level of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group6_frame

#### Description

Sets frame visibility and style for grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group6_height

#### Description

Sets vertical size of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group6_name

#### Description

Sets name of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group6

Variable is float.

### hud_group6_picture

#### Description

Sets background picture of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group6_place

#### Description

Sets relative positioning for grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group6_pos_x

#### Description

Sets horizontal position of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group6_pos_y

#### Description

Sets vertical position of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group6_show

#### Description

Switches showing of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group6_tile

#### Description

Switches tiling of background picture of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group6_width

#### Description

Sets horizontal size of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group7_align_x

#### Description

Sets horizontal align of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group7_align_y

#### Description

Sets vertical align of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group7_alpha

#### Description

Sets transparency level of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group7_frame

#### Description

Sets frame visibility and style for grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group7_height

#### Description

Sets vertical size of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group7_name

#### Description

Sets name of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group7

Variable is float.

### hud_group7_picture

#### Description

Sets background picture of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group7_place

#### Description

Sets relative positioning for grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group7_pos_x

#### Description

Sets horizontal position of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group7_pos_y

#### Description

Sets vertical position of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group7_show

#### Description

Switches showing of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group7_tile

#### Description

Switches tiling of background picture of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group7_width

#### Description

Sets horizontal size of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group8_align_x

#### Description

Sets horizontal align of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group8_align_y

#### Description

Sets vertical align of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group8_alpha

#### Description

Sets transparency level of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group8_frame

#### Description

Sets frame visibility and style for grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group8_height

#### Description

Sets vertical size of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group8_name

#### Description

Sets name of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group8

Variable is float.

### hud_group8_picture

#### Description

Sets background picture of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group8_place

#### Description

Sets relative positioning for grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group8_pos_x

#### Description

Sets horizontal position of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group8_pos_y

#### Description

Sets vertical position of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group8_show

#### Description

Switches showing of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group8_tile

#### Description

Switches tiling of background picture of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group8_width

#### Description

Sets horizontal size of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group9_align_x

#### Description

Sets horizontal align of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_group9_align_y

#### Description

Sets vertical align of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_group9_alpha

#### Description

Sets transparency level of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_group9_frame

#### Description

Sets frame visibility and style for grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: .5

Variable is float.

### hud_group9_height

#### Description

Sets vertical size of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_group9_name

#### Description

Sets name of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: group9

Variable is float.

### hud_group9_picture

#### Description

Sets background picture of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### hud_group9_place

#### Description

Sets relative positioning for grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_group9_pos_x

#### Description

Sets horizontal position of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group9_pos_y

#### Description

Sets vertical position of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group9_show

#### Description

Switches showing of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group9_tile

#### Description

Switches tiling of background picture of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_group9_width

#### Description

Sets horizontal size of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_gun2_align_x

#### Description

Sets horizontal align of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_gun2_align_y

#### Description

Sets vertical align of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom

Variable is float.

### hud_gun2_frame

#### Description

Sets frame visibility and style for shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun2_place

#### Description

Sets relative positioning for shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_gun2_pos_x

#### Description

Sets horizontal position of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun2_pos_y

#### Description

Sets vertical position of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun2_scale

#### Description

Sets size of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun2_show

#### Description

Switches showing of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun2_style

#### Description

Switches graphical style of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun3_align_x

#### Description

Sets horizontal align of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_gun3_align_y

#### Description

Sets vertical align of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun3_frame

#### Description

Sets frame visibility and style for super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun3_place

#### Description

Sets relative positioning for super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: gun2

Variable is float.

### hud_gun3_pos_x

#### Description

Sets horizontal position of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun3_pos_y

#### Description

Sets vertical position of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun3_scale

#### Description

Sets size of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun3_show

#### Description

Switches showing of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun3_style

#### Description

Switches graphical style of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun4_align_x

#### Description

Sets horizontal align of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_gun4_align_y

#### Description

Sets vertical align of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun4_frame

#### Description

Sets frame visibility and style for nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun4_place

#### Description

Sets relative positioning for nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: gun3

Variable is float.

### hud_gun4_pos_x

#### Description

Sets horizontal position of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun4_pos_y

#### Description

Sets vertical position of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun4_scale

#### Description

Sets size of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun4_show

#### Description

Switches showing of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun4_style

#### Description

Switches graphical style of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun5_align_x

#### Description

Sets horizontal align of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_gun5_align_y

#### Description

Sets vertical align of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun5_frame

#### Description

Sets frame visibility and style for super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun5_place

#### Description

Sets relative positioning for super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: gun4

Variable is float.

### hud_gun5_pos_x

#### Description

Sets horizontal position of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun5_pos_y

#### Description

Sets vertical position of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun5_scale

#### Description

Sets size of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun5_show

#### Description

Switches showing of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun5_style

#### Description

Switches graphical style of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun6_align_x

#### Description

Sets horizontal align of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_gun6_align_y

#### Description

Sets vertical align of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun6_frame

#### Description

Sets frame visibility and style for grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun6_place

#### Description

Sets relative positioning for grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: gun5

Variable is float.

### hud_gun6_pos_x

#### Description

Sets horizontal position of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun6_pos_y

#### Description

Sets vertical position of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun6_scale

#### Description

Sets size of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun6_show

#### Description

Switches showing of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun6_style

#### Description

Switches graphical style of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun7_align_x

#### Description

Sets horizontal align of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_gun7_align_y

#### Description

Sets vertical align of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun7_frame

#### Description

Sets frame visibility and style for rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun7_place

#### Description

Sets relative positioning for rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: gun6

Variable is float.

### hud_gun7_pos_x

#### Description

Sets horizontal position of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun7_pos_y

#### Description

Sets vertical position of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun7_scale

#### Description

Sets size of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun7_show

#### Description

Switches showing of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun7_style

#### Description

Switches graphical style of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun8_align_x

#### Description

Sets horizontal align of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_gun8_align_y

#### Description

Sets vertical align of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun8_frame

#### Description

Sets frame visibility and style for lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun8_place

#### Description

Sets relative positioning for lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: gun7

Variable is float.

### hud_gun8_pos_x

#### Description

Sets horizontal position of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun8_pos_y

#### Description

Sets vertical position of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun8_scale

#### Description

Sets size of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun8_show

#### Description

Switches showing of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun8_style

#### Description

Switches graphical style of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun8_wide

#### Description

Switches wide and short of version of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun_align_x

#### Description

Sets horizontal align of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_gun_align_y

#### Description

Sets vertical align of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom

Variable is float.

### hud_gun_frame

#### Description

Sets frame visibility and style for current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun_place

#### Description

Sets relative positioning for current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_gun_pos_x

#### Description

Sets horizontal position of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun_pos_y

#### Description

Sets vertical position of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun_scale

#### Description

Sets size of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_gun_show

#### Description

Switches showing of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun_style

#### Description

Switches graphical style of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_gun_wide

#### Description

Switches between wide and short version of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_healthdamage_align

#### Description

Sets healthdamage HUD element alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is string.
horizontal: left, center, right, before, after; vertical: top, center, bottom, console, before, after

See HUD manual for more info.

### hud_healthdamage_align_x

#### Description

Sets healthdamage HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_healthdamage_align_y

#### Description

Sets healthdamage HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: before

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_healthdamage_digits

#### Description

Sets highest possible number of digits displayed in HUD element healthdamage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_healthdamage_duration

#### Description

Sets how long healthdamage should be visible after last damage to health has been done.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.8

Variable is float.
Float number

### hud_healthdamage_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_healthdamage_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: health

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_healthdamage_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_healthdamage_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_healthdamage_scale

#### Description

Sets overall size of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.
Use positive floating point numbers.

### hud_healthdamage_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_healthdamage_style

#### Description

Toggles between different numbers styles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | small font, gfxwad
0 | large font, texture

### hud_health_align

#### Description

Sets align of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is float.

### hud_health_align_x

#### Description

Sets horizontal align of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_health_align_y

#### Description

Sets vertical align of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_health_digits

#### Description

Sets number of digits for health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### hud_health_frame

#### Description

Sets frame visibility and style for health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_health_place

#### Description

Sets relative positioning for health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_health_pos_x

#### Description

Sets horizontal position of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_health_pos_y

#### Description

Sets vertical position of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_health_scale

#### Description

Sets size of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_health_show

#### Description

Switches showing of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_health_style

#### Description

Switches graphical style of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo1_align_x

#### Description

Sets horizontal align of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_iammo1_align_y

#### Description

Sets vertical align of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_iammo1_frame

#### Description

Sets frame visibility and style for shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo1_place

#### Description

Sets relative positioning for shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_iammo1_pos_x

#### Description

Sets horizontal position of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo1_pos_y

#### Description

Sets vertical position of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo1_scale

#### Description

Sets size of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_iammo1_show

#### Description

Switches showing of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo1_style

#### Description

Switches graphical style of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### hud_iammo2_align_x

#### Description

Sets horizontal align of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_iammo2_align_y

#### Description

Sets vertical align of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_iammo2_frame

#### Description

Sets frame visibility and style for nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo2_place

#### Description

Sets relative positioning for nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_iammo2_pos_x

#### Description

Sets horizontal position of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo2_pos_y

#### Description

Sets vertical position of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo2_scale

#### Description

Sets size of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_iammo2_show

#### Description

Switches showing of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo2_style

#### Description

Switches graphical style of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### hud_iammo3_align_x

#### Description

Sets horizontal align of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_iammo3_align_y

#### Description

Sets vertical align of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_iammo3_frame

#### Description

Sets frame visibility and style for rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo3_place

#### Description

Sets relative positioning for rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_iammo3_pos_x

#### Description

Sets horizontal position of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo3_pos_y

#### Description

Sets vertical position of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo3_scale

#### Description

Sets size of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_iammo3_show

#### Description

Switches showing of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo3_style

#### Description

Switches graphical style of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### hud_iammo4_align_x

#### Description

Sets horizontal align of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_iammo4_align_y

#### Description

Sets vertical align of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_iammo4_frame

#### Description

Sets frame visibility and style for cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo4_place

#### Description

Sets relative positioning for cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_iammo4_pos_x

#### Description

Sets horizontal position of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo4_pos_y

#### Description

Sets vertical position of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo4_scale

#### Description

Sets size of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_iammo4_show

#### Description

Switches showing of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo4_style

#### Description

Switches graphical style of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### hud_iammo_align_x

#### Description

Sets horizontal align of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_iammo_align_y

#### Description

Sets vertical align of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_iammo_frame

#### Description

Sets frame visibility and style for current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo_place

#### Description

Sets relative positioning for current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_iammo_pos_x

#### Description

Sets horizontal position of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo_pos_y

#### Description

Sets vertical position of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo_scale

#### Description

Sets size of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_iammo_show

#### Description

Switches showing of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iammo_style

#### Description

Switches graphical style of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iarmor_align_x

#### Description

Sets horizontal align of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_iarmor_align_y

#### Description

Sets vertical align of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_iarmor_frame

#### Description

Sets frame visibility and style for armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iarmor_place

#### Description

Sets relative positioning for armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: screen

Variable is float.

### hud_iarmor_pos_x

#### Description

Sets horizontal position of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iarmor_pos_y

#### Description

Sets vertical position of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iarmor_scale

#### Description

Sets size of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_iarmor_show

#### Description

Switches showing of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_iarmor_style

#### Description

Switches graphical style of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key1_align_x

#### Description

Sets horizontal align of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_key1_align_y

#### Description

Sets vertical align of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_key1_frame

#### Description

Sets frame visibility and style for silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key1_place

#### Description

Sets relative positioning for silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_key1_pos_x

#### Description

Sets horizontal position of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key1_pos_y

#### Description

Sets vertical position of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 64

Variable is float.

### hud_key1_scale

#### Description

Sets size of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_key1_show

#### Description

Switches showing of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key1_style

#### Description

Switches graphical style of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key2_align_x

#### Description

Sets horizontal align of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_key2_align_y

#### Description

Sets vertical align of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_key2_frame

#### Description

Sets frame visibility and style for gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key2_place

#### Description

Sets relative positioning for gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: key1

Variable is float.

### hud_key2_pos_x

#### Description

Sets horizontal position of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key2_pos_y

#### Description

Sets vertical position of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key2_scale

#### Description

Sets size of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_key2_show

#### Description

Switches showing of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_key2_style

#### Description

Switches graphical style of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_mp3_time_align_x

#### Description

Sets mp3_time HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_mp3_time_align_y

#### Description

Sets mp3_time HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_mp3_time_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_mp3_time_on_scoreboard

#### Description

Toggles whether HUD element 'mp3_time' will be drawn even if scoreboard is displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draws mp3_time HUD element even if scoreboard is ON.
0 | Hides mp3_time HUD element when scoreboard is ON.

### hud_mp3_time_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_mp3_time_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_mp3_time_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_mp3_time_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_mp3_time_style

#### Description

Changes displayed informations for 'mp3_time' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Played time / total time of track, golden brackets around.
1 | Remaining time / total time of track, golden brackets around.
2 | Remaining time only, golden brackets around.
3 | Played time only, golden brackets around.
4 | Same as 0, without golden brackets.
5 | Same as 1, without golden brackets.
6 | Same as 2, without golden brackets.
7 | Same as 3, without golden brackets.

Note that display of seconds is disabled in ruleset smackdown.

### hud_mp3_title_align_x

#### Description

Sets mp3_title HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: right

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_mp3_title_align_y

#### Description

Sets mp3_title HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_mp3_title_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_mp3_title_height

#### Description

Sets height of 'mp3_title' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 8

Variable is integer.
8, 16, 24, 32 - one, two, three, four rows of text usually.

### hud_mp3_title_on_scoreboard

#### Description

Toggles whether HUD element 'mp3_title' will be drawn even if scoreboard is displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draws mp3_title HUD element even if scoreboard is ON.
0 | Hides mp3_title HUD element when scoreboard is ON.

### hud_mp3_title_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_mp3_title_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_mp3_title_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_mp3_title_scroll

#### Description

Toggles scrolling of mp3_title text.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Scrolling enabled.
0 | Scrolling disabled.

### hud_mp3_title_scroll_delay

#### Description

Sets speed of text scrolling in mp3_title HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.5

Variable is float.
The lower the value is the faster scrolling you get.

Use 'hud mp3_title scroll 1'.

### hud_mp3_title_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_mp3_title_style

#### Description

Sets format of text of 'mp3_title' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
0 | Shows just winamp song information.
1 | Same as 0 but shows 'Playing: ' before the song information.
2 | Same as 0 but shows 'Playing' in golden brackets before the song information.

### hud_mp3_title_width

#### Description

Sets width of mp3_title HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 512

Variable is integer.
8 = one char with standard console settings.

### hud_mp3_title_wordwrap

#### Description

Toggles word wrapping inside mp3_title element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Wrap words if more lines are allowed.
0 | Don't wrap words, scroll if necessary and allowed.

See 'mp3_title height'.

### hud_netgraph_align_x

#### Description

Sets horizontal align of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_netgraph_align_y

#### Description

Sets vertical align of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom

Variable is float.

### hud_netgraph_alpha

#### Description

Sets transparency level of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_netgraph_frame

#### Description

Sets frame visibility and style for everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_full

#### Description

When turned on, netgraph is more detailed this way, but looks ugly; in GL this can be fixed with a lower alpha value like "0.4"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_height

#### Description

Sets vertical size of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 32

Variable is float.

### hud_netgraph_inframes

#### Description

setting this to "1" lets you measure your latency in an alternate way every level of netgraph will mean one frame of delay, between sending it to server and getting answer. On local/lan server you'll always get one frame of delay, even with low FPS.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_lostscale

#### Description

lets you cut down those red, yellow, blue and gray bars, which are always full-height; possible values are the range from 0 to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_netgraph_place

#### Description

Sets relative positioning for everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_netgraph_ploss

#### Description

print packet loss or not everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_netgraph_pos_x

#### Description

Sets horizontal position of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_pos_y

#### Description

Sets vertical position of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_scale

#### Description

Sets size of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 256

Variable is float.

### hud_netgraph_show

#### Description

Switches showing of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_swap_x

#### Description

reverse horizontally, like for placing at left edge of the screen

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_swap_y

#### Description

reverse vertically, like for top edge

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_netgraph_width

#### Description

Sets horizontal size of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 256

Variable is float.

### hud_net_align_x

#### Description

Sets horizontal align of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_net_align_y

#### Description

Sets vertical align of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: center

Variable is float.

### hud_net_frame

#### Description

Sets frame visibility and style for net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.2

Variable is float.

### hud_net_period

#### Description

Sets period for updating net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_net_place

#### Description

Sets relative positioning for net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: top

Variable is float.

### hud_net_pos_x

#### Description

Sets horizontal position of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_net_pos_y

#### Description

Sets vertical position of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_net_show

#### Description

Switches showing of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_pent_align_x

#### Description

Sets horizontal align of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.

### hud_pent_align_y

#### Description

Sets vertical align of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: after

Variable is float.

### hud_pent_frame

#### Description

Sets frame visibility and style for pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_pent_place

#### Description

Sets relative positioning for pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: ring

Variable is float.

### hud_pent_pos_x

#### Description

Sets horizontal position of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_pent_pos_y

#### Description

Sets vertical position of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_pent_scale

#### Description

Sets size of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### hud_pent_show

#### Description

Switches showing of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_pent_style

#### Description

Switches graphical style of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### hud_ping_align_x

#### Description

Sets horizontal align of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: left

Variable is float.